NTEventLogAppender Class Reference

Appends log events to NT EventLog. More...

Inheritance diagram for NTEventLogAppender:

## Public Member Functions

| NTEventLogAppender ()
| NTEventLogAppender (const LogString &server, const LogString &log, const LogString &source, const LayoutPtr &layout)
virtual | ~NTEventLogAppender ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)
| Derived appenders should override this method if option structure requires it. More...
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
bool | requiresLayout () const
| The SocketAppender does not use a layout. More...
void | setSource (const LogString &source)
const LogString & | getSource () const
void | setLog (const LogString &log)
const LogString & | getLog () const
void | setServer (const LogString &server)
const LogString & | getServer () const
Public Member Functions inherited from AppenderSkeleton
| AppenderSkeleton ()
| AppenderSkeleton (const LayoutPtr &layout)
void | addRef () const
void | releaseRef () const
void | finalize ()
| Finalize this appender by calling the derived class' `close` method. More...
void | addFilter (const spi::FilterPtr &newFilter)
| Add a filter to end of the filter list. More...
void | clearFilters ()
| Clear the filters chain. More...
const spi::ErrorHandlerPtr & | getErrorHandler () const
| Return the currently set spi::ErrorHandler for this Appender. More...
spi::FilterPtr | getFilter () const
| Returns the head Filter. More...
const spi::FilterPtr & | getFirstFilter () const
| Return the first filter in the filter chain for this Appender. More...
LayoutPtr | getLayout () const
| Returns the layout of this appender. More...
LogString | getName () const
| Returns the name of this Appender. More...
const LevelPtr & | getThreshold ()
| Returns this appenders threshold level. More...
bool | isAsSevereAsThreshold (const LevelPtr &level) const
| Check whether the message level is below the appender's threshold. More...
void | doAppend (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &pool)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific AppenderSkeleton::append method. More...
void | setErrorHandler (const spi::ErrorHandlerPtr &eh)
| Set the ErrorHandler for this Appender. More...
void | setLayout (const LayoutPtr &layout1)
| Set the layout for this appender. More...
void | setName (const LogString &name1)
| Set the name of this Appender. More...
void | setThreshold (const LevelPtr &threshold)
| Set the threshold level. More...
Public Member Functions inherited from Appender
virtual | ~Appender ()
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Protected Types

typedef void | SID
typedef void * | HANDLE

## Protected Member Functions

virtual void | append (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging. More...
void | addRegistryInfo ()

## Static Protected Member Functions

static unsigned short | getEventType (const spi::LoggingEventPtr &event)
static unsigned short | getEventCategory (const spi::LoggingEventPtr &event)
static LogString | getErrorString (const LogString &function)

## Protected Attributes

LogString | server
LogString | log
LogString | source
HANDLE | hEventLog
SID * | pCurrentUserSID
Protected Attributes inherited from AppenderSkeleton
LayoutPtr | layout
| The layout variable does not need to be set if the appender implementation has its own layout. More...
LogString | name
| Appenders are named. More...
LevelPtr | threshold
| There is no level threshold filtering by default. More...
spi::ErrorHandlerPtr | errorHandler
| It is assumed and enforced that errorHandler is never null. More...
spi::FilterPtr | headFilter
| The first filter in the filter chain. More...
spi::FilterPtr | tailFilter
| The last filter in the filter chain. More...
bool | closed
| Is this appender closed? More...
log4cxx::helpers::Pool | pool
log4cxx::helpers::Mutex | mutex
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Appends log events to NT EventLog.

## Member Typedef Documentation

## HANDLE

typedef void* HANDLE

protected

## SID

typedef void SID

protected

## Constructor & Destructor Documentation

## NTEventLogAppender() [1/2]

NTEventLogAppender | ( |  | ) |

## NTEventLogAppender() [2/2]

NTEventLogAppender | ( | const LogString & | server,
|  | const LogString & | log,
|  | const LogString & | source,
|  | const LayoutPtr & | layout
| ) |  |

## ~NTEventLogAppender()

virtual ~NTEventLogAppender | ( |  | ) |

virtual

## Member Function Documentation

## activateOptions()

virtual void activateOptions | ( | log4cxx::helpers::Pool & |  | ) |

virtual

Derived appenders should override this method if option structure requires it.

Reimplemented from AppenderSkeleton.

## addRegistryInfo()

void addRegistryInfo | ( |  | ) |

protected

## append()

virtual void append | ( | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | p
| ) |  |

protected virtual

Subclasses of `AppenderSkeleton` should implement this method to perform actual logging.

See also AppenderSkeleton::doAppend method.

Implements AppenderSkeleton.

## close()

virtual void close | ( |  | ) |

virtual

Release any resources allocated within the appender such as file handles, network connections, etc.

It is a programming error to append to a closed appender.

Implements Appender.

## getErrorString()

static LogString getErrorString | ( | const LogString & | function | ) |

static protected

## getEventCategory()

static unsigned short getEventCategory | ( | const spi::LoggingEventPtr & | event | ) |

static protected

## getEventType()

static unsigned short getEventType | ( | const spi::LoggingEventPtr & | event | ) |

static protected

## getLog()

const LogString& getLog | ( |  | ) | const

inline

## getServer()

const LogString& getServer | ( |  | ) | const

inline

## getSource()

const LogString& getSource | ( |  | ) | const

inline

## requiresLayout()

bool requiresLayout | ( |  | ) | const

inline virtual

The SocketAppender does not use a layout.

Hence, this method returns `false`.

Implements Appender.

## setLog()

void setLog | ( | const LogString & | log | ) |

inline

## setOption()

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |

virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Reimplemented from AppenderSkeleton.

## setServer()

void setServer | ( | const LogString & | server | ) |

inline

## setSource()

void setSource | ( | const LogString & | source | ) |

inline

## Member Data Documentation

## hEventLog

HANDLE hEventLog

protected

## log

LogString log

protected

## pCurrentUserSID

SID* pCurrentUserSID

protected

## server

LogString server

protected

## source

LogString source

protected

The documentation for this class was generated from the following file:

- nteventlogappender.h